Invoices
GET/billing/invoices
List invoices
Lists a merchant's invoices from a service provider.
Optional attributes
- Name
q- Type
- string
- Description
- Search language filter. Supported fields: `id` (integer), `stripe_invoice_id` (string), `created_at` (date, requires the `$DATE` modifier and supports the `:`, `>`, `>=`, `<`, `<=` operators with a `YYYY-MM-DD` value). Clauses can be combined with `AND` / `OR`. Example: `created_at$DATE>="2026-01-15"`
- Name
sorts- Type
- array<Sort>
- Description
- Sort the results. Example: `sorts[0][field]=id&sorts[0][direction]=desc&sorts[0][order]=1`
- Name
page- Type
- integer
- Description
- The page number to retrieve (1-indexed) 1
- Name
per_page- Type
- integer
- Description
- The number of items per page 15
Request
GET/billing/invoices
curl -G https://YOUR_DOMAIN/api/billing/invoices \
-H "Authorization: Bearer {token}" \
-H "Accept: application/json"Loading response...
POST/billing/invoices
Create an invoice from selected charges
Creates draft invoices from a service provider's selected uninvoiced charges.
Required attributes
- Name
charge_ids- Type
- string
- Description
- Charge IDs to include in the invoice. At least one charge must be selected.
Request
POST/billing/invoices
curl -X POST https://YOUR_DOMAIN/api/billing/invoices \
-H "Authorization: Bearer {token}" \
-H "Accept: application/json"Loading response...
POST/billing/invoices/{invoice}/finalize
Finalize an invoice
Finalizes a service provider's draft invoice.
Required attributes
- Name
invoice- Type
- integer
- Description
- The ID of the invoice to finalize 2
Request
POST/billing/invoices/{invoice}/finalize
curl -X POST https://YOUR_DOMAIN/api/billing/invoices/{invoice}/finalize \
-H "Authorization: Bearer {token}" \
-H "Accept: application/json"Loading response...
POST/billing/invoices/{invoice}/collect
Collect payment for an invoice
Attempts to collect payment for an invoice.
Required attributes
- Name
invoice- Type
- integer
- Description
- The ID of the invoice to collect payment for 2
Request
POST/billing/invoices/{invoice}/collect
curl -X POST https://YOUR_DOMAIN/api/billing/invoices/{invoice}/collect \
-H "Authorization: Bearer {token}" \
-H "Accept: application/json"Loading response...
